## Process this file with automake to produce Makefile.in
pixmapsdir = $(datadir)/pixmaps/


ENABLE_CAM		= @ENABLE_CAM@
ENABLE_TRIG		= @ENABLE_TRIG@
ENABLE_DAC		= @ENABLE_DAC@
ENABLE_MPI		= @ENABLE_MPI@
CANVAS_AA	= @CANVAS_AA@
RTA_TOPDIR	= @RTA_TOPDIR@
K_TOPDIR	= @K_TOPDIR@
#$(GNOME_CFLAGS)
INCLUDES =  \
$(GNOME_INCLUDEDIR) \
-DPACKAGE_LOCALE_DIR=\""$(prefix)/$(DATADIRNAME)/locale"\" \
-DPACKAGE_DATA_DIR=\""$(datadir)"\" \
@GPIV_CFLAGS@ \
-I$(RTA_TOPDIR)/include \
-I$(K_TOPDIR)/include \
-DPREFIX=\""$(prefix)"\" \
-DDATADIR=\""$(datadir)"\" \
-DPIXMAPSDIR=\""$(pixmapsdir)"\" \
-DSYSCONFDIR=\""$(sysconfdir)"\" \
-DLIBDIR=\""$(libdir)"\"

bin_PROGRAMS = gpiv

gpiv_SOURCES = \
	pivpost.c pivpost.h \
	pivpost_interface.c pivpost_interface.h \
	pivvalid.c pivvalid.h \
	pivvalid_interface.c pivvalid_interface.h \
	piveval.c piveval.h \
	piveval_interrogate.c piveval_interrogate.h \
	piveval_interface.c piveval_interface.h \
	imgh.c imgh.h \
	imgh_interface.c imgh_interface.h \
	imgproc.c imgproc.h \
	imgproc_interface.c imgproc_interface.h \
	dac.c dac.h \
	dac_interface.c dac_interface.h \
	dac_cam.c dac_cam.h \
	dac_trig.c dac_trig.h \
	display_scalars.c display_scalars.h \
	display_piv.c display_piv.h \
	display_intregs.c display_intregs.h \
	display_image.c display_image.h \
	display_event.c display_event.h \
	display_zoom.c display_zoom.h \
	display.c display.h \
	display_interface.c display_interface.h display_menus.h \
	console.c console.h \
	console_interface.c console_interface.h console_menus.h \
	dialog.c dialog.h \
	dialog_interface.c dialog_interface.h \
	preferences.c preferences.h \
	preferences_interface.c preferences_interface.h \
	print.c print.h \
	support.c support.h \
	io.c io.h \
	utils.c utils.h \
	utils_par.c utils_par.h \
	main.c main.h gpiv_gui.h

AM_CFLAGS = @OVERRIDE_IMAGE_WIDTH_MAX@ \
@OVERRIDE_IMAGE_HEIGHT_MAX@ \
@DEBUG@ \
@ENABLE_CAM@ \
@ENABLE_TRIG@ \
@ENABLE_DAC@ \
@ENABLE_MPI@ \
@CANVAS_AA@

## @GNOME_DISABLE_DEPRECATED@  \

##	$(prefix) \

gpiv_LDADD = $(GPIV_LIBS) 

EXTRA_DIST = Makefile.in
